﻿using System;
using System.Linq;
using System.Windows;
using System.Windows.Controls;

namespace PanelBar_WPF_ItemContainerStyleSelector
{
	class CustomStyleSelector : StyleSelector
	{
		public override System.Windows.Style SelectStyle(object item, System.Windows.DependencyObject container)
		{
			if ((item as DataItem).IsSecondLevel)
			{
				return this.ChildStyle;
			}
			else
			{
				return this.RootStyle;
			}
		}

		public Style RootStyle { get; set; }
		public Style ChildStyle { get; set; }
	}
}