﻿using System;
using System.Collections.ObjectModel;
using System.Linq;

namespace PanelBar_WPF_ItemContainerStyleSelector
{
	class MainViewModel
	{
		public ObservableCollection<DataItem> Items { get; set; }

		public MainViewModel()
		{
			this.Items = new ObservableCollection<DataItem>();
			GenerateItems();
		}

		private void GenerateItems()
		{
			this.Items.Add(new DataItem()
			{
				Header="Root 1",
				IsSecondLevel=false,
				IsExpanded = true,
				Children= new ObservableCollection<DataItem>()
				{
					new DataItem()
					{
						Header = "First Child of Root 1",
						IsSecondLevel = true
					},
					new DataItem()
					{
						IsSeparator = true
					},
					new DataItem()
					{
						Header = "Second Child of Root 1",
						IsSecondLevel = true,
						IsSelected = true
					},
					new DataItem()
					{
						Header = "Third Child of Root 1",
						IsSecondLevel = true,
					},
					new DataItem()
					{
						Header = "Fourth Child of Root 1",
						IsSecondLevel = true,
					}
				}
			});
		}
	}
}