﻿using System;
using System.Linq;
using System.Windows;

namespace PanelBar_WPF_ItemContainerStyleSelector
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
		}

		private void Button_Click(object sender, RoutedEventArgs e)
		{
			var viewModel = this.xBar.DataContext as MainViewModel;
			if (viewModel != null)
			{
				DataItem newItem = new DataItem();
				newItem.Header = "Root 2";
				newItem.IsExpanded = true;
				newItem.IsSecondLevel = false;
				newItem.IsSelected = false;
				newItem.IsSeparator = false;
				newItem.Children.Add(new DataItem(){ Header = "First Chiled of Root 2", IsSecondLevel = true, IsSeparator = false, IsSelected = true});
				newItem.Children.Add(new DataItem() { IsSecondLevel = true, IsSeparator = true });

				viewModel.Items.Add(newItem);
			}
		}
	}
}