﻿using System;
using System.Linq;
using System.Windows;
using System.Windows.Controls;

namespace PanelBar_WPF_ItemContainerStyleSelector
{
	class CustomTemplateSelector : DataTemplateSelector
	{
		public override System.Windows.DataTemplate SelectTemplate(object item, System.Windows.DependencyObject container)
		{
			if ((item as DataItem).IsSeparator)
			{
				return this.SeparatorTemplate;
			}
			else
			{
				return this.OrdinaryTemplate;
			}
		}

		public DataTemplate SeparatorTemplate { get; set; }
		public DataTemplate OrdinaryTemplate { get; set; }
	}
}