﻿using System;
using System.Collections.ObjectModel;
using System.Linq;

namespace PanelBar_WPF_ItemContainerStyleSelector
{
	class DataItem
	{
		public bool IsSecondLevel { get; set; }
		public bool IsSeparator { get; set; }
		public bool IsSelected { get; set; }
		public bool IsExpanded { get; set; }
		public string Header { get; set; }
		public ObservableCollection<DataItem> Children { get; set; }

		public DataItem()
		{
			this.IsSeparator = false;
			this.IsExpanded = false;
			this.IsSelected = false;
			this.Children = new ObservableCollection<DataItem>();
		}
	}
}